 
	var strtRulerUnits = preferences.rulerUnits
	preferences.rulerUnits = Units.CM

	var docRef = activeDocument

	var docResolution = Number(docRef.resolution)

	function getCSVersion() {
		return parseInt(version)
	}
				
	var rfactor = 1
	if (getCSVersion() > 7 && preferences.rulerUnits == Units.CM){
		rfactor =  72 / 2.54 // CM
	}
	if (getCSVersion() > 8 && preferences.rulerUnits == Units.CM ) {
		rfactor = Number(docResolution / 72) // CM
	}
	if (getCSVersion() > 8 && preferences.rulerUnits == Units.PIXELS ) {
		rfactor = 1 // PIXELS
	}
	if (getCSVersion() >= 10 ) { rfactor  = 72 / 2.54 } // CM}

	
	var ancho_imagen = Number(docRef.width)

	if (docRef.width!=docRef.height)
	{
		alert("Para hacer esto la imagen debe ser cuadrada");
	} else {		
		//Pregunta antes de empezar
		var cambiarAncho = confirm ("Quiere hacer una secuencia de 360 \n pulsa no para cancelar o si para continuar")
		if (cambiarAncho == true) 
		{
			var nImagenes = prompt("Introduzca el numero de imagenes a generar:", "") 
			if ((nImagenes) && (ancho_imagen * nImagenes * rfactor <= 30000))
			{
				docRef.resizeCanvas(docRef.width*nImagenes, docRef.height, AnchorPosition.MIDDLELEFT) 
				var i;
				var grados = Number(360/nImagenes);
				
				for (i = 1; i < nImagenes; i++)
				{
					var copia = docRef.activeLayer.duplicate();
					copia.translate(ancho_imagen*i);
					copia.rotate(grados * i);
					copia.name=grados * i;			
				}
			} else {		
				alert("Esta imagen es demasiado grande, reduzca la imagen o introduzca un nmero menor de giros.");
			}			
		} 
	}
